## v1.4.0
Breaking change: The new CustomSelect now returns the index and the absolute value of the selected
option in the `value` property and not the `option` property as such: 

```json
{
  "index": "<OPTION INDEX>",
  "value": "<VALUE>"
}
```
The value within the `value` property should still be the same as the `option` property used to receive.
 

## v 1.4.1
Breaking change: The Modal Component now supports left & right buttons in the footer. 
Previously you could only pass buttons to be rendered at the right. Now you can use left, right or 
both.
Previously the property leftButtons was actually placing content on the right of the modal footer, this has been fixed, so if you are updating to this version, make sure you switch your leftButons to the new rightButtons property accordingly.