import styled from 'styled-components'

export const TagsBar = styled.div`
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin-top: 8px;
  gap: 16px;

  [class^='inputstyles__InputContainer'] {
    .icons-left {
      left: 16px;
      svg {
        stroke: #7e8691;
      }
    }
  }
`

export const List = styled.ul`
  margin: 0;
  li {
    margin-top: 3px;
    margin-bottom: 2px;
    float: left;
    display: flex;
    gap: 5px;
    align-items: center;
    background: #ffffff;
    border: 1px solid #dde1e7;
    border-radius: 4px;
    color: #565d66;
    padding: 4px 8px;
    align-items: center;

    span svg {
      border-radius: 3px;
      cursor: pointer;
      background: #f5f6f8;
      stroke: #959da8;
    }
  }
`

export const StyledChip = styled.li`
  margin-right: 4px;
  b {
    font-weight: bolder;
  }
`
