/* global test shallow expect */
import React from 'react'

import theme from 'theme'

import ButtonIcon from './index'

import * as icons from '../Icon/icons'

const sizes = {}

Object.keys(theme.buttonIcon.fontSize).forEach((key) => {
  sizes[key] = key
})

test('render ButtonIcon', () => {
  Object.keys(icons).map((icon) => {
    Object.keys(sizes).forEach((size) => {
      const wrapper = shallow(
        <ButtonIcon
          size={size}
          icon={icon}
        />
      )
      expect(wrapper).toMatchSnapshot()

      return null
    })

    return null
  })
})
