/* global test shallow expect */
import React from 'react'

import Card from './index'

test('render a Card', () => {
  const wrapper = shallow(<Card>Body</Card>)
  expect(wrapper).toMatchSnapshot()
})

test('render a Card with a header', () => {
  const wrapper = shallow(<Card header="Header">Body</Card>)
  expect(wrapper).toMatchSnapshot()
})
