/* global test shallow expect */

import React from 'react'

import EmptyBlock from './index'

test('render EmptyBlock', () => {
  const wrapper = shallow(
    <div style={{ maxWidth: '1000px', padding: '20px' }}>
      <EmptyBlock
        iconName="Users"
        body="No employees imported"
        buttonTitle="Import Employees CSV"
        style={{ with: '300px' }}
        onClickButton={(e) => {
          console.log(e)
        }}
      />
    </div>
  )
  expect(wrapper).toMatchSnapshot()
})
