/* eslint-disable no-console */
/* eslint-disable import/no-extraneous-dependencies */

// Libraries
import React from 'react'
import { storiesOf, addDecorator } from '@storybook/react'
import { withA11y } from '@storybook/addon-a11y'
import { withKnobs } from '@storybook/addon-knobs'



// Components
import EmptyBlock from './index'

addDecorator(withA11y)
addDecorator(withKnobs)

storiesOf('EmptyBlock', module)
  .addParameters({
    jest: ['EmptyBlock'],
  })
  .add('EmptyBlock', () => (
    <div style={{ maxWidth: '1000px', padding: '20px' }}>
      <EmptyBlock
        iconName="Users"
        body="No employees imported"
        buttonTitle="Import Employees CSV"
        onClickButton={(e) => {
          console.log(e)
        }}
      />
    </div>
  ))
