/* global test shallow expect */
import React from 'react'

import Gauge from './index'

test('render a Gauge with no score', () => {
  const wrapper = shallow(<Gauge />)
  expect(wrapper).toMatchSnapshot()
})

test('render a Gauge at 10%', () => {
  const wrapper = shallow(<Gauge score={10} />)
  expect(wrapper).toMatchSnapshot()
})

test('render a Gauge at 20%', () => {
  const wrapper = shallow(<Gauge score={20} />)
  expect(wrapper).toMatchSnapshot()
})

test('render a Gauge at 40%', () => {
  const wrapper = shallow(<Gauge score={40} />)
  expect(wrapper).toMatchSnapshot()
})

test('render a Gauge at 60%', () => {
  const wrapper = shallow(<Gauge score={60} />)
  expect(wrapper).toMatchSnapshot()
})

test('render a Gauge at 80%', () => {
  const wrapper = shallow(<Gauge score={80} />)
  expect(wrapper).toMatchSnapshot()
})

test('render a Gauge at 100%', () => {
  const wrapper = shallow(<Gauge score={100} />)
  expect(wrapper).toMatchSnapshot()
})
