/* eslint-disable import/no-extraneous-dependencies */

// Libraries
import React from 'react'
import { storiesOf, addDecorator } from '@storybook/react'
import { withA11y } from '@storybook/addon-a11y'

// Components
import Gauge from './index'

addDecorator(withA11y)

storiesOf('Charts/Gauge', module)
  .add('with no score', () => <Gauge />)
  .add('0%', () => <Gauge score={0} />)
  .add('10%', () => <Gauge score={10} />)
  .add('20%', () => <Gauge score={20} />)
  .add('40%', () => <Gauge score={40} />)
  .add('60%', () => <Gauge score={60} />)
  .add('80%', () => <Gauge score={80} />)
  .add('100%', () => <Gauge score={100} />)
