/* global test shallow expect */

import React from 'react'

import Heatmap from './index'

const data = [
  {
    id: 1,
    name: 'Engineering',
    scores: {
      overall: 80,
      phishing: 10,
      beingAwesome: null,
      cleanDesk: 50,
      mindControl: 30,
      password: 75
    }
  },
  {
    id: 2,
    name: 'Human Resources',
    scores: {
      overall: 80,
      phishing: 10,
      beingAwesome: null,
      cleanDesk: 50,
      mindControl: 30,
      password: 75
    }
  },
  {
    id: 3,
    name: 'Finance',
    scores: {
      overall: 80,
      phishing: 10,
      beingAwesome: null,
      cleanDesk: 50,
      mindControl: 30,
      password: 75
    }
  }
]

const keys = ['name', 'overall', 'phishing', 'beingAwesome', 'cleanDesk', 'mindControl', 'password']

test('render Heatmap', () => {
  const wrapper = shallow(<Heatmap data={data} keys={keys} />)
  expect(wrapper).toMatchSnapshot()
})
