/* global test shallow expect */
import React from 'react'

import { Icon } from './index'
import * as icons from './icons'

Object.keys(icons).forEach((name) => {
  test(`render a ${name} icon`, () => {
    const wrapper = shallow(<Icon name={name} />)
    expect(wrapper).toMatchSnapshot()
  })
})
