/* eslint-disable import/no-extraneous-dependencies */

// Libraries
import React from 'react'
import { storiesOf, addDecorator } from '@storybook/react'
import { withA11y } from '@storybook/addon-a11y'
import { withKnobs } from '@storybook/addon-knobs';


// Components
import Image from './index'

addDecorator(withA11y)
addDecorator(withKnobs)

storiesOf('Image', module)
  .add('Example image', () => 
    (
      <Image 
        src="https://via.placeholder.com/150"
        role="img"
        alt="Example image"
        style={{display:"table",margin:"auto"}}
      />
    )
  )