/* eslint-disable import/no-extraneous-dependencies */

// Libraries
import React from 'react'
import { storiesOf, addDecorator } from '@storybook/react'
import { withA11y } from '@storybook/addon-a11y'

// Components
import Logo from './index'

addDecorator(withA11y)

storiesOf('Logo', module)
  .addParameters({
    jest: ['Logo'],
  })
  .add('Logo', () => (
    <Logo />
  ))
