import styled from 'styled-components'


import theme from 'theme'

export const OrganizationCard = styled.div`
  section{
    padding: 14px;
  }
  h1{
    margin: 0;
    line-height: 29px;
  }
  span,
  a{
    font-size: 13px;
    line-height: 24px;
    font-weight: ${theme.text.fontWeight.normal};
  }
  span{
    color: ${theme.text.color['300']}
  }

  span,
  h2,
  a{
    padding: 0 19px;
  }

  button{
    width: 100%;
    margin: 12px 0 0 0;
  }
`
export default {
  OrganizationCard
}
