import styled from 'styled-components'

export const Wrapper = styled.div`
  width: 100%;
  overflow: hidden;
`
export const HeaderContainer = styled.div`
  display: grid;
`
export const ShowHeader = styled.div`
  display: flex;
  align-items: center;
  flex-direction: column;
  border-right: 1px solid #c9cfd6;

  :last-child {
    border-right: none;
  }
  h1 {
    font-family: Neue Haas Unica Pro;
    font-size: 32px;
    font-style: normal;
    font-weight: 800;
    line-height: 40px;
    letter-spacing: 0px;
    text-align: center;
    color: #34383c;
  }

  span {
    display: flex;
    align-items: center;
    gap: 5px;
    font-family: Neue Haas Unica Pro;
    font-size: 12px;
    font-style: normal;
    font-weight: 700;
    line-height: 20px;
    letter-spacing: 0;
    color: #7b828a;
  }
`

export const BodyWrapper = styled.div`
  padding: ${props => props.padding}
`

export const Row = styled.div`
  display: flex;
  flex-direction: row;
  width: 100%;
  justify-content: ${({ justifyContent }) =>
  !justifyContent ? "initial" : justifyContent};
  align-items: center;
`
