/* global test shallow expect */

import React from 'react'
import SubscriptionCard from './index'


const cards = [
  {
    title: 'Vision',
    description: 'Organizational insights',
    icon: 'ProductVisionColored',
    onClick: () => {
      console.log('vision')
    }
  },
  {
    title: 'Pulse',
    description: 'Personalized Security scorecard',
    icon: 'ProductPulseColored',
    onClick: () => {
      console.log('Pulse')
    }
  },
  {
    title: 'Reflex',
    description: 'Phishing Simulator',
    icon: 'ProductReflexColored',
    onClick: () => {
      console.log('Reflex')
    }
  },
  {
    title: 'Hacker’s Mind',
    description: 'Gamified targeted training',
    icon: 'ProductHMGreyscale',
    active: false,
    onClick: () => {
      console.log('Hacker’s Mind')
    }
  }
]

test('render SubscriptionCard', () => {
  const wrapper = shallow(<SubscriptionCard cards={cards} />)
  expect(wrapper).toMatchSnapshot()
})
