import React from "react";
import TimezonePicker from "./index";
import {TIME_ZONES_INVERTED} from "../../timezone";

test('default TimezonePicker', () => {
    const wrapper = shallow(
        <TimezonePicker
            defaultTimezone={TIME_ZONES_INVERTED['Canada/Central']}
            onChange={() => null}
            defaultValue={null}
            placeholder={'Click to select'}
            width={null}
            dropdownWidth={'100%'}
            dropdownMaxHeight={'350px'}
            invalid={false}
        />
    )
    expect(wrapper).toMatchSnapshot()
})
