/* global test shallow expect */

import React from 'react'

import Badge from './index'

const themes = ['', 'gray', 'secondary', 'primary', 'info', 'error', 'white']

themes.forEach(theme => {
  test('render rounded badge', () => {
    const wrapper = shallow(<Badge theme={theme} text="badge text" />)
    expect(wrapper).toMatchSnapshot()
  })
  test('render rectangle badge', () => {
    const wrapper = shallow(<Badge theme={theme} text="badge text" theme="rectangle" />)
    expect(wrapper).toMatchSnapshot()
  })
})
