import styled from 'styled-components'
import styledMap from 'styled-map'
import theme from 'theme'

export const BadgeRounded = styled.span`
  display: inline-block;
  padding: 4px 12px;
  background-color: ${styledMap('theme', theme.badge.bg)};
  border: 1px solid ${styledMap('theme', theme.badge.border)};
  color: #565d66;
  border-radius: 12px;
  line-height: 16px;
  font-size: 13px;
  font-weight: 400;
`

export const BadgeRectangular = styled.span`
  display: inline-block;
  padding: 4px 8px;
  background-color: ${styledMap('theme', theme.badge.bg)};
  border: 1px solid ${styledMap('theme', theme.badge.border)};
  color: ${styledMap('theme', theme.badge.color)};
  border-radius: 4px;
  line-height: 16px;
  font-size: 12px;
  font-weight: bold;
`