import React from 'react'
import { shallow, mount } from 'enzyme'

import DatePicker from './index'

test('Test render a datepicker', () => {
  const wrapper = shallow(<DatePicker />)
  expect(wrapper).toMatchSnapshot()
})

test('Test datepicker with value', () => {
  const date = '2022-08-04'
  const wrapper = mount(<DatePicker value={date} />)
  const inputElement = wrapper.find('input')
  expect(inputElement.instance().value).toEqual(date)
})
