import styled from 'styled-components'
// import styledMap from 'styled-map'

import theme from 'theme'

export const EmptyBlockContainer = styled.div`
  display: flex;
  flex-direction: column;
  align-items: center;
  align-self: stretch;
  min-height: 375px;
  width: 100%;
  border: 1px solid ${theme.colors.gray.transparent['100']};
  border-radius: 6px;
  background-color: white;
`
export const EmptyBlockContent = styled.div`
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: auto;
  line-height: ${theme.text.lineHeight.heading}; 
  p{
    font-size:${theme.text.fontSize.lg};
  }
  button,
  link{
    font-weight: ${theme.text.fontWeight.bold};
  }
  svg{
    stroke: ${theme.text.color[100]};
    margin: 11px auto;
  }
`
export default {
  EmptyBlockContainer
}
