/* eslint-disable react/no-unescaped-entities */
/* global test shallow expect */

import React from 'react'

import GlobalStyle from './index'
import { Button } from '../Button'
import Input from '../Input'

const makeSimpleShallow = (component) => {
  const wrapper = shallow(component)
  expect(wrapper).toMatchSnapshot()
}

test('render GlobalStyle', () => {
  makeSimpleShallow(<GlobalStyle />)
})

test('render button with global style', () => makeSimpleShallow(
  <div>
    <Button>
      I'm a buttom
    </Button>
    <GlobalStyle />
  </div>
))

test('render Input with global style', () => makeSimpleShallow(
  <div>
    <Input />
    <GlobalStyle />
  </div>
))
