/* eslint-disable react/no-unescaped-entities */
/* eslint-disable import/no-extraneous-dependencies */

// Libraries
import React from 'react'
import { storiesOf, addDecorator } from '@storybook/react'
import { withA11y } from '@storybook/addon-a11y'
import { withKnobs } from '@storybook/addon-knobs'


// Components
import GlobalStyle from './index'
import { Button } from '../Button'
import Input from '../Input'

addDecorator(withA11y)
addDecorator(withKnobs)

storiesOf('GlobalStyle', module)
  .add('Example button with global style', () => (
    <div>
      <Button>
        I'm a buttom
      </Button>
      <GlobalStyle />
    </div>
  ))
  .add('Example Input with global style', () => (
    <div>
      <Input />
      <GlobalStyle />
    </div>
  ))
