/* global test shallow expect */

import React from 'react'

import IconAction from './index'

test('render action icon with tooltip', () => {
  const wrapper = shallow(<IconAction name="Copy" tooltipText="Copy campaign" />)
  expect(wrapper).toMatchSnapshot()
})
test('render action icon without tooltip', () => {
  const wrapper = shallow(<IconAction name="Copy" />)
  expect(wrapper).toMatchSnapshot()
})
test('render disabled action icon', () => {
  const wrapper = shallow(<IconAction name="Copy" disabled />)
  expect(wrapper).toMatchSnapshot()
})