import styled from 'styled-components'

export const ActionWrapper = styled.span`
  cursor: ${({ disabled }) => (disabled ? 'not-allowed' : 'pointer')};
  svg path {
    fill: ${({ disabled }) => (disabled ? '#C9CFD6' : '#959da8')};
  }
  svg line, svg polygon, svg polyline {
    stroke: ${({ disabled }) => (disabled ? '#C9CFD6' : '#959da8')};
  }
  ${({ disabled }) => (!disabled ? `
    &:hover {
      background-color: transparent;
      svg path {
        fill: #039ba1;
      }
      svg line, svg polygon, svg polyline {
        stroke: #039ba1;
      }
    }
  ` : '')}
`
