/* global test shallow expect */

import React from 'react'

import Input from './index'

test('render a Input', () => {
  const wrapper = shallow(<Input value="Hello World" onChange={() => {}} />)
  expect(wrapper).toMatchSnapshot()
})

test('render a Input with a placeholder', () => {
  const wrapper = shallow(<Input placeholder="Placeholder Text" onChange={() => {}} />)
  expect(wrapper).toMatchSnapshot()
})

test('render a Input with error', () => {
  const wrapper = shallow(<Input required onChange={() => {}} />)
  expect(wrapper).toMatchSnapshot()
})
