/* global test shallow expect */

import React from 'react'

import Card from '../Card'
import Layout from './index'

test('render a Layout column', () => {
  const wrapper = shallow(
    <Layout container direction="column">
      <Layout item>
        <Card>Hello World</Card>
      </Layout>
      <Layout item>
        <Card>Hello World</Card>
      </Layout>
    </Layout>
  )
  expect(wrapper).toMatchSnapshot()
})

test('render a Layout row', () => {
  const wrapper = shallow(
    <Layout container>
      <Layout item>
        <Card>Hello World</Card>
      </Layout>
      <Layout item>
        <Card>Hello World</Card>
      </Layout>
    </Layout>
  )
  expect(wrapper).toMatchSnapshot()
})
