import React from "react";
import {storiesOf} from "@storybook/react";
import TimezonePicker from "./index";
import {TIME_ZONES_INVERTED} from "../../timezone";

storiesOf('TimezonePicker', module)
    .addParameters({
        jest: ['TimezonePicker'],
    })
    .add('default TimelineCard', () => (
        <div style={{ maxWidth: '695px', padding: '100px' }}>
            <TimezonePicker
                defaultTimezone={TIME_ZONES_INVERTED['Canada/Central']}
                onChange={() => null}
                defaultValue={null}
                placeholder={'Click to select'}
                width={null}
                dropdownWidth={'100%'}
                dropdownMaxHeight={'350px'}
                invalid={false}
            />
        </div>
    ))
