export function humanize(str) {
  let i,
    frags = str?.split(str?.includes('_') ? '_' : '-')
  for (i = 0; i < frags?.length || 0; i++) {
    frags[i] = frags[i].charAt(0).toUpperCase() + frags[i].slice(1)
  }
  return frags?.join(' ')
}

export function capitalize(value) {
  if (typeof value !== 'string' || !value.length > 0) return null
  return `${value.charAt(0).toUpperCase()}${value.slice(1)}`
}
