/* eslint-disable import/no-extraneous-dependencies */

// Libraries
import React from 'react'
import { storiesOf, addDecorator } from '@storybook/react'
import { withA11y } from '@storybook/addon-a11y'
import { withKnobs, select } from '@storybook/addon-knobs';

// Themes
import theme from 'theme'

// Components
import * as ${this.name} from './index'

addDecorator(withA11y)
addDecorator(withKnobs)

storiesOf('${this.name}', module)
  .addParameters({ 
    jest: ['${this.name}'],
  })
  .add('${this.name}', () => (
    <div>FIX ME</div>
  ))