/* eslint-disable import/no-extraneous-dependencies */
const merge = require('webpack-merge')
const { BundleAnalyzerPlugin } = require('webpack-bundle-analyzer')
const common = require('./webpack.common.js')

common.module.rules.push({
  test: /\.stories\.jsx?$/,
  loaders: [require.resolve('@storybook/addon-storysource/loader')],
  enforce: 'pre',
})

module.exports = merge(common, {
  mode: 'production',
  plugins: [
    new BundleAnalyzerPlugin()
  ],
})
